Skip to main content
GET
/
api
/
integrations
/
{provider}
/
status
Get sync status
curl --request GET \
  --url https://api.example.com/api/integrations/{provider}/status \
  --header 'Authorization: Bearer <token>'
{
  "provider": "<string>",
  "sync_status": "<string>",
  "recent_syncs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "started_at": "2023-11-07T05:31:56Z",
      "sync_type": "<string>",
      "items_fetched": 123,
      "items_extracted": 123,
      "completed_at": "2023-11-07T05:31:56Z",
      "errors": [
        {}
      ]
    }
  ],
  "last_sync_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
string
required

Response

Successful Response

Sync status with recent log entries.

provider
string
required
sync_status
string
required
recent_syncs
SyncLogEntry · object[]
required
last_sync_at
string<date-time> | null